using JobPortalAPI.IRepository;
using JobPortalAPI.Models;
using Microsoft.EntityFrameworkCore;

namespace JobPortalAPI.Repository
{

    public class CompanyRepository : Repository<Company>, ICompanyRepository
    {
        public CompanyRepository(JobPortalDBContext context) : base(context)
        {
        }
        public JobPortalDBContext CurrDbContext
        {
            get { return Context as JobPortalDBContext; }     // Casting the Context of the base Repository to ProjectDBContext
        }

        public List<Company> GetCompaniesDetails()
        {
            var x = Context.Companies.Include(c => c.IdNavigation).ToList();
            return x;
        }
    }
}

    


